Debian Bug report logs - #670945
add non-magic mime-types for php

version graph

Package: php5; Maintainer for php5 is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5 is src:php5.

Reported by: Tim White <timwhite88@gmail.com>

Date: Mon, 30 Apr 2012 16:09:01 UTC

Severity: critical

Tags: patch, security

Merged with 661240, 664691

Fixed in version php5/5.4.4-7

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package libapache2-mod-php5. (Mon, 30 Apr 2012 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim White <timwhite88@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 30 Apr 2012 16:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim White <timwhite88@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Tue, 17 Apr 2012 17:07:39 +0800
Package: libapache2-mod-php5
Version: 5.4.0-3
Severity: important

Dear Maintainer,

Bug #589384 breaks default "expected" behaviour of MultiViews in relation to
executing PHP scripts.

URLs of the format http://example.com/file should execute the file.php script
if it exists without needing to request http://example.com/file.php, when
MultiViews is enabled. MultiViews is enabled in the default config shipped with
Apache2 in Debian.

As the fix for #589384 disables the php mimetypes, the MultiViews content
negotitation fails for the *.php files as there is no relevant mimetype for the
*.php files, causing apache to give a 404 instead of executing file.php.

The MultiViews documentation suggests that "MultiviewsMatch Handlers" should
fix the issue, however this fails to work.

As the default expected behaviour is broken, and any packages that enable
MultiViews explicitly for that functionality are broken, this change breaks
packages. I understand the security reasons for the fix, however without a
working solution for renabling this behaviour securely, I've had to uncomment
the mime types for php.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (750, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libapache2-mod-php5 depends on:
ii  apache2-mpm-prefork  2.2.22-2
ii  apache2.2-common     2.2.22-2
ii  libbz2-1.0           1.0.6-1
ii  libc6                2.13-27
ii  libcomerr2           1.42.2-1
ii  libdb5.1             5.1.29-1
ii  libgssapi-krb5-2     1.10+dfsg~beta1-2
ii  libk5crypto3         1.10+dfsg~beta1-2
ii  libkrb5-3            1.10+dfsg~beta1-2
ii  libmagic1            5.11-1
ii  libonig2             5.9.1-1
ii  libpcre3             1:8.30-4
ii  libqdbm14            1.8.78-2
ii  libssl1.0.0          1.0.1-4
ii  libstdc++6           4.7.0-1
ii  libxml2              2.7.8.dfsg-7
ii  mime-support         3.52-1
ii  php5-common          5.4.0-3
ii  tzdata               2012b-1
ii  ucf                  3.0025+nmu2
ii  zlib1g               1:1.2.6.dfsg-2

Versions of packages libapache2-mod-php5 recommends:
ii  php5-cli  5.4.0-3

Versions of packages libapache2-mod-php5 suggests:
ii  php-pear  5.4.0-3

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package libapache2-mod-php5. (Sun, 08 Jul 2012 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Wimmer <m@tthias.eu>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 08 Jul 2012 11:12:08 GMT) Full text and rfc822 format available.

Message #10 received at 670945@bugs.debian.org (full text, mbox):

From: Matthias Wimmer <m@tthias.eu>
To: 670945@bugs.debian.org
Subject: Debian Bug #670945
Date: Sun, 8 Jul 2012 11:04:30 +0000
Are there any news on this bug? Upgrading my system broke many PHP
scripts on my server as well. Some customers and I do call the scripts
without the explicit .php extension. I had to rewrite all scripts, that
depended on multiviews. (Strangely I could not even fix the problem with
mod_rewrite.)

While I am very comfortable with removing the MIME types for php files
(I felt they are something completely broken for a long time), I hope the
problem of mod_negotiation and mod_php5 not working together anymore
gets fixed.

Maybe this bug should get reassigned to the apache2.2-bin package, that
contains the mod_negotiation module.


-- 
Matthias Wimmer            USt-IdNr. DE244176643
Contact details:     http://matthias.wimmer.tel/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package libapache2-mod-php5. (Tue, 14 Aug 2012 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim White <timwhite88@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 14 Aug 2012 01:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 670945@bugs.debian.org (full text, mbox):

From: Tim White <timwhite88@gmail.com>
To: 670945@bugs.debian.org
Subject: Debian Bug #670945
Date: Tue, 14 Aug 2012 11:03:55 +1000
Seeing as this causes breakages in other packages, I've request it be 
moved to serious.
As the libapache2-mod-php5 package really probably doesn't have control 
of this being fixed, I've assigned it to apache2.2-bin so hopefully it 
can be fixed in mod_negotiation.

Tim



Bug reassigned from package 'libapache2-mod-php5' to 'apache2.2-bin'. Request was from Tim White <timwhite88@gmail.com> to control@bugs.debian.org. (Tue, 14 Aug 2012 01:06:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions php5/5.4.0-3. Request was from Tim White <timwhite88@gmail.com> to control@bugs.debian.org. (Tue, 14 Aug 2012 01:06:05 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Tim White <timwhite88@gmail.com> to control@bugs.debian.org. (Tue, 14 Aug 2012 01:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#670945; Package apache2.2-bin. (Wed, 15 Aug 2012 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 15 Aug 2012 18:33:03 GMT) Full text and rfc822 format available.

Message #26 received at 670945@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Tim White <timwhite88@gmail.com>
Cc: 670945@bugs.debian.org, pkg-php-maint@lists.alioth.debian.org
Subject: libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Wed, 15 Aug 2012 20:31:44 +0200
FWIW, this bug has been open for 4 months. It would have been nice if 
you (or the php maintainers) could have sent a note to debian-
apache@l.d.o a bit earlier.

If mod_negotiation requires some mime-type for .php to work, then the 
obvious solution would be to add a non-magic type, for example 
"application/x-php".

IMHO, in order to have the whole php config in one place, this should 
be done with AddType in /etc/apache2/mods-available/php5.conf. Maybe 
like this:

# mod_negotiation's MultiViews needs php scripts to have a mime
# type to make negotiation work. These types are added for this
# purpose, but differently from the magic application/x-httpd-* types,
# they do not cause php scripts to be executed. That is done by the 
# SetHandler directives above.
AddType application/x-php         php phtml php3
AddType application/x-php-source  phps



Bug reassigned from package 'apache2.2-bin' to 'libapache2-mod-php5'. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Wed, 15 Aug 2012 19:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package libapache2-mod-php5. (Thu, 23 Aug 2012 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 23 Aug 2012 07:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>, Charles Plessy <plessy@debian.org>, mime-support@packages.debian.org
Cc: Tim White <timwhite88@gmail.com>, 670945@bugs.debian.org, pkg-php-maint@lists.alioth.debian.org
Subject: Re: [php-maint] libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Thu, 23 Aug 2012 09:54:42 +0200
Hi Stefan,

On Wed, Aug 15, 2012 at 8:31 PM, Stefan Fritsch <sf@sfritsch.de> wrote:
> FWIW, this bug has been open for 4 months. It would have been nice if
> you (or the php maintainers) could have sent a note to debian-
> apache@l.d.o a bit earlier.

Somehow I have missed this bug report completely :(. Unfortunatelly
I am still only active PHP maintainer in Debian, so please excuse
the occasional hiccups.

> If mod_negotiation requires some mime-type for .php to work, then the
> obvious solution would be to add a non-magic type, for example
> "application/x-php".
>
> IMHO, in order to have the whole php config in one place, this should
> be done with AddType in /etc/apache2/mods-available/php5.conf. Maybe
> like this:
>
> # mod_negotiation's MultiViews needs php scripts to have a mime
> # type to make negotiation work. These types are added for this
> # purpose, but differently from the magic application/x-httpd-* types,
> # they do not cause php scripts to be executed. That is done by the
> # SetHandler directives above.
> AddType application/x-php         php phtml php3
> AddType application/x-php-source  phps

Wouldn't the obvious solution be to implement this back in
mime-support package, where it belongs (e.g. same as python or perl)?

I am going to try to reproduce this and find a solution which would
work for anyone.

O.
-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package libapache2-mod-php5. (Thu, 23 Aug 2012 08:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 23 Aug 2012 08:21:06 GMT) Full text and rfc822 format available.

Message #38 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Stefan Fritsch <sf@sfritsch.de>, Charles Plessy <plessy@debian.org>, mime-support@packages.debian.org
Cc: 670945@bugs.debian.org, pkg-php-maint@lists.alioth.debian.org, Tim White <timwhite88@gmail.com>, control@bugs.debian.org
Subject: Re: [php-maint] Bug#670945: libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Thu, 23 Aug 2012 10:16:46 +0200
[Message part 1 (text/plain, inline)]
reassign 670945 mime-support
retitle 670945 add non-magic mime-types for php
tags 670945 +patch
affects 670945 php5
unmerge 664691
forcemerge 664691 670945
thank you

I have confirmed that adding text/x-php (and text/x-php-source) to
mime-support package fixes the issue. Attached is a patch.

Charles, do you want to do the upload, or you are fine with NMU? (If
you have adopted the package, you might want to do an upload to
unstable anyway, so all bug reports for wheezy ends in your mailbox
and not Brian's.)

O.

On Thu, Aug 23, 2012 at 9:54 AM, Ondřej Surý <ondrej@debian.org> wrote:
> Hi Stefan,
>
> On Wed, Aug 15, 2012 at 8:31 PM, Stefan Fritsch <sf@sfritsch.de> wrote:
>> FWIW, this bug has been open for 4 months. It would have been nice if
>> you (or the php maintainers) could have sent a note to debian-
>> apache@l.d.o a bit earlier.
>
> Somehow I have missed this bug report completely :(. Unfortunatelly
> I am still only active PHP maintainer in Debian, so please excuse
> the occasional hiccups.
>
>> If mod_negotiation requires some mime-type for .php to work, then the
>> obvious solution would be to add a non-magic type, for example
>> "application/x-php".
>>
>> IMHO, in order to have the whole php config in one place, this should
>> be done with AddType in /etc/apache2/mods-available/php5.conf. Maybe
>> like this:
>>
>> # mod_negotiation's MultiViews needs php scripts to have a mime
>> # type to make negotiation work. These types are added for this
>> # purpose, but differently from the magic application/x-httpd-* types,
>> # they do not cause php scripts to be executed. That is done by the
>> # SetHandler directives above.
>> AddType application/x-php         php phtml php3
>> AddType application/x-php-source  phps
>
> Wouldn't the obvious solution be to implement this back in
> mime-support package, where it belongs (e.g. same as python or perl)?
>
> I am going to try to reproduce this and find a solution which would
> work for anyone.
>
> O.
> --
> Ondřej Surý <ondrej@sury.org>
>
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-php-maint



-- 
Ondřej Surý <ondrej@sury.org>
[mime-support_5.32-1.1.patch (application/octet-stream, attachment)]

Bug reassigned from package 'libapache2-mod-php5' to 'mime-support'. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'add non-magic mime-types for php' from 'libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews' Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:12 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:12 GMT) Full text and rfc822 format available.

Added indication that 670945 affects php5 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:13 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'serious' Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:14 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:15 GMT) Full text and rfc822 format available.

Notification sent to Tim White <timwhite88@gmail.com>:
Bug acknowledged by developer. (Thu, 23 Aug 2012 08:21:16 GMT) Full text and rfc822 format available.

Removed indication that 670945 affects php5 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:16 GMT) Full text and rfc822 format available.

Marked as found in versions mime-support/3.52-1 and mime-support/3.48-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:16 GMT) Full text and rfc822 format available.

Added tag(s) upstream and security. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:17 GMT) Full text and rfc822 format available.

Merged 664691 670945 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 08:21:17 GMT) Full text and rfc822 format available.

Bug reopened Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:21:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions mime-support/3.48-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:21:06 GMT) Full text and rfc822 format available.

Marked as found in versions mime-support/3.52-1; no longer marked as found in versions mime-support/3.52-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:21:08 GMT) Full text and rfc822 format available.

Removed tag(s) upstream. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Thu, 23 Aug 2012 09:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mime-Support Maintainers <mime-support@plessy.org>:
Bug#670945; Package mime-support. (Fri, 24 Aug 2012 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Mime-Support Maintainers <mime-support@plessy.org>. (Fri, 24 Aug 2012 07:57:03 GMT) Full text and rfc822 format available.

Message #73 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 670945@bugs.debian.org
Subject: Re: [php-maint] Bug#670945: Bug#670945: libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Fri, 24 Aug 2012 09:54:05 +0200
I have uploaded 3.52-1.1 to DELAYED/0.

O.
P.S.: It would be nice if this package would be reversioned to match
it's native status.  It's quite hard to build it using existing tools.

On Thu, Aug 23, 2012 at 10:16 AM, Ondřej Surý <ondrej@debian.org> wrote:
> reassign 670945 mime-support
> retitle 670945 add non-magic mime-types for php
> tags 670945 +patch
> affects 670945 php5
> unmerge 664691
> forcemerge 664691 670945
> thank you
>
> I have confirmed that adding text/x-php (and text/x-php-source) to
> mime-support package fixes the issue. Attached is a patch.
>
> Charles, do you want to do the upload, or you are fine with NMU? (If
> you have adopted the package, you might want to do an upload to
> unstable anyway, so all bug reports for wheezy ends in your mailbox
> and not Brian's.)
>
> O.
>
> On Thu, Aug 23, 2012 at 9:54 AM, Ondřej Surý <ondrej@debian.org> wrote:
>> Hi Stefan,
>>
>> On Wed, Aug 15, 2012 at 8:31 PM, Stefan Fritsch <sf@sfritsch.de> wrote:
>>> FWIW, this bug has been open for 4 months. It would have been nice if
>>> you (or the php maintainers) could have sent a note to debian-
>>> apache@l.d.o a bit earlier.
>>
>> Somehow I have missed this bug report completely :(. Unfortunatelly
>> I am still only active PHP maintainer in Debian, so please excuse
>> the occasional hiccups.
>>
>>> If mod_negotiation requires some mime-type for .php to work, then the
>>> obvious solution would be to add a non-magic type, for example
>>> "application/x-php".
>>>
>>> IMHO, in order to have the whole php config in one place, this should
>>> be done with AddType in /etc/apache2/mods-available/php5.conf. Maybe
>>> like this:
>>>
>>> # mod_negotiation's MultiViews needs php scripts to have a mime
>>> # type to make negotiation work. These types are added for this
>>> # purpose, but differently from the magic application/x-httpd-* types,
>>> # they do not cause php scripts to be executed. That is done by the
>>> # SetHandler directives above.
>>> AddType application/x-php         php phtml php3
>>> AddType application/x-php-source  phps
>>
>> Wouldn't the obvious solution be to implement this back in
>> mime-support package, where it belongs (e.g. same as python or perl)?
>>
>> I am going to try to reproduce this and find a solution which would
>> work for anyone.
>>
>> O.
>> --
>> Ondřej Surý <ondrej@sury.org>
>>
>> _______________________________________________
>> pkg-php-maint mailing list
>> pkg-php-maint@lists.alioth.debian.org
>> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-php-maint
>
>
>
> --
> Ondřej Surý <ondrej@sury.org>
>
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-php-maint



-- 
Ondřej Surý <ondrej@sury.org>



Marked as found in versions mime-support/3.51-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 08:12:03 GMT) Full text and rfc822 format available.

Merged 661240 664691 670945 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 08:12:05 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 24 Aug 2012 08:51:13 GMT) Full text and rfc822 format available.

Notification sent to Tim White <timwhite88@gmail.com>:
Bug acknowledged by developer. (Fri, 24 Aug 2012 08:51:13 GMT) Full text and rfc822 format available.

Message #82 received at 670945-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 670945-close@bugs.debian.org
Subject: Bug#670945: fixed in mime-support 3.52-1.1
Date: Fri, 24 Aug 2012 08:48:27 +0000
Source: mime-support
Source-Version: 3.52-1.1

We believe that the bug you reported is fixed in the latest version of
mime-support, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670945@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated mime-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 23 Aug 2012 10:12:35 +0200
Source: mime-support
Binary: mime-support
Architecture: source all
Version: 3.52-1.1
Distribution: unstable
Urgency: high
Maintainer: Brian White <bcwhite@pobox.com>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 mime-support - MIME files 'mime.types' & 'mailcap', and support programs
Closes: 670945
Changes: 
 mime-support (3.52-1.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Add (non-magic) MIME-Types for PHP (Closes: #670945)
Checksums-Sha1: 
 2e3bd6b66e519853903156f3943b22afe8448b9e 769 mime-support_3.52-1.1.dsc
 44fcbd91108ded5164a8748769a986d5c1a2f6fc 31399 mime-support_3.52-1.1.tar.gz
 f9376097d87517eb0d53cb374f384390af7a95cd 35032 mime-support_3.52-1.1_all.deb
Checksums-Sha256: 
 3003dd0903ec7f3dd997b64e23485e739ec2a37ba187d9b9e7e737f3a7594cc5 769 mime-support_3.52-1.1.dsc
 f5325463a18ad774d7223f0fc588aac23e7509fbc9e48e114cbae8714a45e8da 31399 mime-support_3.52-1.1.tar.gz
 3dde8bb3c3c19b4f6f87089ae011f8e85fd0bde0d015f6aaa17784813bddc4d1 35032 mime-support_3.52-1.1_all.deb
Files: 
 f50e901e906352531f30029408331b08 769 net standard mime-support_3.52-1.1.dsc
 b7480af4d569bf6064b81914afc302e1 31399 net standard mime-support_3.52-1.1.tar.gz
 8fec84c7ba18eaeec2f698e5019cbb5d 35032 net standard mime-support_3.52-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlA3MvQACgkQ9OZqfMIN8nPj8ACfUGZ77ye6xO5y9y7Vw+XWw1bB
MqEAn3nYUq/FryRSc8rXUUbJXMU6yTCP
=h/YG
-----END PGP SIGNATURE-----




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 24 Aug 2012 08:51:13 GMT) Full text and rfc822 format available.

Notification sent to hugo vanwoerkom <huugske@gmail.com>:
Bug acknowledged by developer. (Fri, 24 Aug 2012 08:51:13 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Fri, 24 Aug 2012 08:51:14 GMT) Full text and rfc822 format available.

Notification sent to Jacopo Girardi <jacopogg83.os@libero.it>:
Bug acknowledged by developer. (Fri, 24 Aug 2012 08:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mime-Support Maintainers <mime-support@plessy.org>:
Bug#670945; Package mime-support. (Fri, 24 Aug 2012 13:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Mime-Support Maintainers <mime-support@plessy.org>. (Fri, 24 Aug 2012 13:24:11 GMT) Full text and rfc822 format available.

Message #95 received at 670945@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: OndÅ?ej Surý <ondrej@debian.org>, 670945@bugs.debian.org
Subject: Re: Bug#670945: [php-maint] Bug#670945: Bug#670945: libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Fri, 24 Aug 2012 22:16:04 +0900
Le Fri, Aug 24, 2012 at 09:54:05AM +0200, Ondřej Surý a écrit :
> I have uploaded 3.52-1.1 to DELAYED/0.

Please cancel immediately.  People have the right to take a few days off.

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, Mime-Support Maintainers <mime-support@plessy.org>:
Bug#670945; Package mime-support. (Fri, 24 Aug 2012 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Mime-Support Maintainers <mime-support@plessy.org>. (Fri, 24 Aug 2012 13:33:05 GMT) Full text and rfc822 format available.

Message #100 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 670945@bugs.debian.org
Subject: Re: Bug#670945: [php-maint] Bug#670945: Bug#670945: libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Fri, 24 Aug 2012 15:30:16 +0200
On Fri, Aug 24, 2012 at 3:16 PM, Charles Plessy <plessy@debian.org> wrote:
> Le Fri, Aug 24, 2012 at 09:54:05AM +0200, Ondřej Surý a écrit :
>> I have uploaded 3.52-1.1 to DELAYED/0.
>
> Please cancel immediately.

Unfortunatelly (somehow) britney has already processed it, so it has
been uploaded to archive.

> People have the right to take a few days off.

True, but the RC bug has been unfixed since April, and the fix was
simple enough to justify short DELAYED NMU.

Anyway I don't understand why would you want to cancel the upload. If
you have updated package, just merge the simple change and upload when
you are ready. Meanwhile this will fix the RC bug introduced in
3.52-1.

O.
-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Mime-Support Maintainers <mime-support@plessy.org>:
Bug#670945; Package mime-support. (Fri, 24 Aug 2012 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Mime-Support Maintainers <mime-support@plessy.org>. (Fri, 24 Aug 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #105 received at 670945@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ondřej Surý <ondrej@debian.org>
Cc: Charles Plessy <plessy@debian.org>, 670945@bugs.debian.org
Subject: Re: Bug#670945: [php-maint] Bug#670945: Bug#670945: libapache2-mod-php5: Bug #589384 breaks default behaviour for MultiViews
Date: Fri, 24 Aug 2012 22:48:20 +0900
Le Fri, Aug 24, 2012 at 03:30:16PM +0200, Ondřej Surý a écrit :
> 
> True, but the RC bug has been unfixed since April, and the fix was
> simple enough to justify short DELAYED NMU.

I do not think that there is such an emergency to not give the maintainers
a reasonnable time to react.  And I have been working constantly on that
bug since I took over the package.  Your NMU is completely inappropriate.

Mime-support is not a self-service.  Please do not make uncoordinated uploads
again.

I will check tomorrow if your changes are justified and if not, I will
revert the package.

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Mime-Support Maintainers <mime-support@plessy.org>:
Bug#670945; Package mime-support. (Fri, 24 Aug 2012 16:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <christoph.anton.mitterer@lmu.de>:
Extra info received and forwarded to list. Copy sent to Mime-Support Maintainers <mime-support@plessy.org>. (Fri, 24 Aug 2012 16:54:13 GMT) Full text and rfc822 format available.

Message #110 received at 670945@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <christoph.anton.mitterer@lmu.de>
To: 670945@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: add non-magic mime-types for php
Date: Fri, 24 Aug 2012 18:24:08 +0200
[Message part 1 (text/plain, inline)]
reopen 670945
stop

Hi Ondřej.

Please do not use:
text/x-php
but replace it with:
application/x-php

The use of text/ for interpreted languages (scripts) is discouraged
already by IETF and things like javascript/ecmascript are already
migrated to application/*, the legacy text/* definitions being
deprecated.


When we introduce experimental types (x-*) we should try not to make
something where users eventually should or will have to migrated again.
Just as with the #application/x-httpd-* types, we shouldn't add stuff
that will eventually cause troubles.


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Bug reopened Request was from Christoph Anton Mitterer <christoph.anton.mitterer@lmu.de> to control@bugs.debian.org. (Fri, 24 Aug 2012 16:54:17 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions mime-support/3.52-1.1. Request was from Christoph Anton Mitterer <christoph.anton.mitterer@lmu.de> to control@bugs.debian.org. (Fri, 24 Aug 2012 16:54:18 GMT) Full text and rfc822 format available.

Marked as fixed in versions mime-support/3.52-1.1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 21:09:05 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 21:09:06 GMT) Full text and rfc822 format available.

Notification sent to Tim White <timwhite88@gmail.com>:
Bug acknowledged by developer. (Fri, 24 Aug 2012 21:09:07 GMT) Full text and rfc822 format available.

Disconnected #670945 from all other report(s). Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 21:30:05 GMT) Full text and rfc822 format available.

Bug 670945 cloned as bug 685830 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 21:30:06 GMT) Full text and rfc822 format available.

Merged 661240 664691 670945 Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 21:30:08 GMT) Full text and rfc822 format available.

Marked as found in versions 3.52-2 and reopened. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 25 Aug 2012 00:51:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mime-support' to 'php5'. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 25 Aug 2012 00:51:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions mime-support/3.52-1, 3.52-2, and mime-support/3.51-1. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 25 Aug 2012 00:51:09 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions mime-support/3.52-1.1. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 25 Aug 2012 00:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Sat, 25 Aug 2012 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 25 Aug 2012 06:45:03 GMT) Full text and rfc822 format available.

Message #139 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Charles Plessy <plessy@debian.org>, 670945@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: About the media types text/x-php and text/x-php-source
Date: Sat, 25 Aug 2012 08:42:38 +0200
> I have been coordinating the resolution of the bugs about the PHP media types
> with the different players including you and the release team, and we reached a
> consensus.  Then you suddenly changed your mind overnight, and went for another
> solution without contacting all the parties.

I did not change my mind, it's a _different_ regression. Although you
have merged them in BTS before and they have a same cause - removal of
(magic) PHP media types, they are different bugs with different
impact.

* The fix for first bug #674089 (e.g. with impact on PHP CGI) is still
in the place in the php5 package (5.4.4-5).

* The fix for second bug #670945 (e.g. http://localhost/file not
caught by mod_negotiation) was fixed in mime-support 3.52-1.1.

> In that context, I do not trust the relevance of your changes and will revert them.

Again please give a technical reasons for the revert. Using feeling
(or trust) as a base for decisions is not very helpful. You didn't
provided any technical reason why _not_ fix this in mime-support
package, although I have politely asked you.

When there's disagreement between maintainers, it's always good to
stick to technical arguments.

> If you want to add application/x-php in /etc/mimes.types, please provide an explanation of why it is not possible to use in Debian the same way as in other distributions which do not require that media type association by default.

Maybe they don't support mod_negotiation for PHP, maybe whoever know,
Debian differs in so many ways from other distributions that I don't
really see a need for this explaination. And I personally don't care
about distributions, I care about our users who are experiencing
regression from squeeze.

Also you keep repeating this, but I have already shown you that we
significantly differ from other distributions; Fedora for example
doesn't have text/x-python and yet you don't required python
maintainers to explain why it's needed.

> [...snip the part about adding PHP MIME-Type just to Apache 2...]
> Please explain why it is not suitable for you,

Because it fixes this bug only in Apache 2, but addition in
mime-support would provide the mapping in all other places which uses
mime.types file.

I don't see a reason[*] why we would want to fix this only in Apache
when we can fix on system wide level. (* - e.g. any breakage this will
cause). I would willingly accept removal if you can show me that the
addition of (text|application)/x-php will cause some bad side effect.

> and please also provide some hints that there will not be side effects, such as (but not limited to) annoying all Subversion users by suddenly having their PHP code considered binary and unsuitable for diffs, etc.

mime-support package had the application/x-httpd-php* mappings up to
3.52-1 for a long time and nobody complained, right? I am pretty
confident that adding different MIME-Type won't break anything (which
wasn't already broken before elsewhere and nobody really noticed - or
there would be a bug report).

O.
-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Sun, 26 Aug 2012 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 26 Aug 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #144 received at 670945@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: debian-devel@lists.debian.org
Cc: 670945@bugs.debian.org
Subject: Re: About the media types text/x-php and text/x-php-source
Date: Sun, 26 Aug 2012 19:49:28 +0200
[Message part 1 (text/plain, inline)]
Hey Charles, Ondřej, et all.

On Sat, 2012-08-25 at 10:41 +0900, Charles Plessy wrote:
Le Sat, Aug 25, 2012 at 12:46:33AM +0000, Christoph Anton Mitterer a
écrit :
> > 
> > Maybe the mime-support maintainer(s) can set these as goals for
> > jessie :)
> > Syncing with IANA and cleaning up unofficial definitions. :)
> 
> Sorry to be in bad mood, but I do not think that I need more reminders
> to keep
> the package up to date after the freeze.
Hey Charles.... that was just my way to express that I agree, that it's
better if we don't mess around with such larger goals now in wheezy.

:)




On Sat, 2012-08-25 at 08:42 +0200, Ondřej Surý wrote:
> * The fix for first bug #674089 (e.g. with impact on PHP CGI) is still
> in the place in the php5 package (5.4.4-5).
Ok, AFAIU that one is fixed by now, as we put info into PHP's NEWS file,
the release notes, and as we even have no the Apache config file for PHP
CGI.



> * The fix for second bug #670945 (e.g. http://localhost/file not
> caught by mod_negotiation) was fixed in mime-support 3.52-1.1.
I personally do possibly not quite understand the current state here:
AFAIU, the user used HTTP negotiation to get file.php when file was
requested, right?


1) As I wrote in some mail before, I personally would drop that this
works out of the box.
Why?
It seems to be a abuse of what negotiation is intended for, and this is
definitely not to get "tidy" addresses (i.e. without .php).
If people want the later, mod_rewrite is their friend.
HTTP negotiation is intended that the browsers can set preferences in
the HTTP headers, and content is chosen based on that.
But in the above case, the content is not "PHP",... the PHP generates
(e.g.) HTML,... and THAT is the content that the browser will see.
Also, no browser sends per default a preference on a x-php type.

The whole scenario would only make sense if there was e.g.
file.js
file.php
and the intention was to give browsers the choice what should happen,
when just "file" is accessed... server-side interpretation of PHP, or
client-site JavaScript.


I've never seen anyone using that.
So honestly, I'd simply drop support for that, and add perhaps a note to
NEWS.

Or is there some other non-abusive way of HTTP-negotiation in the whole
scenario reported by the bug, I haven't seen?



What now if my proposal ("drop that this works out of the box") is too
late for wheezy (i.e. maybe there are really packages in Debian who use
it that way - which would be really really bad):

2) EITHER: We add a new mime-type as Ondrej suggested.
Side-effects? Does this perhaps re-introduce the foo.php.jpeg issue? No
I don't think so; Ondrey uses <FileMatch> and then he uses handlers
(SetHandler .... so not even MimeTypes)... and even if he'd use MIME
types... he uses the special ones "application/x-httpd-*"...
So a new entry for php files in /etc/mime.types introduces likely no new
security issues.

Should we do it?
I agree here with Charles, when adding new x-* types we should try to be
as conservative as possible, because x-* types were always intended to
be used within "organisational boundaries" only (so e.g. just within the
authority of a company).

I agree with Ondrej, that we should however not decide, based on what
other distros to (of course we can look at it, whether it's reasonable).


OR: We add even the definitions to PHP's Apache config files.
Problem: This affects only Apache... OTOH; did the other webservers
use /etc/mime.types ?



Concluding I tend to the following (in decreasing order):
1) Drop (out-of-the-box) support for what's asked in #670945 comment 1.
It's abusive and an easy start for people to shoot themselves into their
feet (security wise).
Add notes to NEWS and perhaps release notes on how to work around.

If not possible:
2) Add the MIME-Types definitions to PHP, if only Apache used this ever.
Why? Eventually we should definitely do (1), and add these types (at
least for what's asked in #670945 comment 1) only as a workaround for
now.
So if we drop them anyway, there's no need to add them to mime-support,
where they're used at an unnecessarily broader ranger.

If other web-servers used that, too:
3) Put it for now (!) in mime-types.


I think it would be ok to do (1) even in wheezy.
Why? Eventually the clean solution would be anyway to drop what's asked
in #670945 comment 1.
Users will then have to read NEWS/release notes and clean up their
setups.
Whether this happens now, or in jessie.... is IMHO irrelevant.




Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Sun, 26 Aug 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 26 Aug 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #149 received at 670945@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: debian-devel@lists.debian.org
Cc: 670945@bugs.debian.org
Subject: Re: Re: About the media types text/x-php and text/x-php-source
Date: Sun, 26 Aug 2012 20:18:40 +0200
> > * The fix for second bug #670945 (e.g. http://localhost/file not
> > caught by mod_negotiation) was fixed in mime-support 3.52-1.1.
> 
> The two bug reporters, the apache maintainer and me are all saying
> that this bug should be fixed in apache or PHP, not in
> mime-support.

As pointed out elsewhere, that was a different bug. And I was not 
aware of this bug at that time.

> It does not matter which other unregistered types are currently
> distributed in /etc/mime.types.  If you want all the Debian
> systems to have this media type by default, it is better to
> justify it by the needs of more than one package.

It's completely sensible for webservers that do not interpret php 
scripts themselves, to serve *.php files as application/x-php or 
text/x-php. At least it is more consistent with the handling of 
python, perl, etc.

But if you don't want to do that, e.g. because you intend to remove 
the perl/java/... types, too, adding them to Apache's config is IMHO 
completely acceptable, too. The mod_negotiation problem is after all 
an Apache only problem.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Mon, 27 Aug 2012 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 27 Aug 2012 07:18:03 GMT) Full text and rfc822 format available.

Message #154 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 670945@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: [php-maint] Bug#670945: About the media types text/x-php and text/x-php-source
Date: Mon, 27 Aug 2012 09:15:38 +0200
On Sun, Aug 26, 2012 at 7:49 PM, Christoph Anton Mitterer
<calestyo@scientia.net> wrote:
> I've never seen anyone using that.

Well, we had at least two bugreports for that. So your argument "I
have never seen..." says nothing.

> So honestly, I'd simply drop support for that, and add perhaps a note to
> NEWS.

I don't think it's good idea to drop something we already support and
users are apparently using without any problems.

O.
-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Mon, 27 Aug 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 27 Aug 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #159 received at 670945@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: debian-devel@lists.debian.org
Cc: 670945@bugs.debian.org
Subject: Re: [php-maint] Bug#670945: About the media types text/x-php and text/x-php-source
Date: Mon, 27 Aug 2012 22:25:16 +0200
[Message part 1 (text/plain, inline)]
Hey Ondřej.

On Mon, 2012-08-27 at 09:15 +0200, Ondřej Surý wrote:
> Well, we had at least two bugreports for that. So your argument "I
> have never seen..." says nothing.
Ok,... that point goes to you ;)


> > So honestly, I'd simply drop support for that, and add perhaps a note to
> > NEWS.
> I don't think it's good idea to drop something we already support and
> users are apparently using without any problems.

Well, depends,... do you agree with me that this was really any abuse of
mod_negotiation?
And if not why? :)

Because if so, I doubt that we really help our users if we let them to
continue.
If they really want, we can give them a description how to do so (simply
add some mime type for php)... but we should also tell them, that most
likely, what they want is mod_redirect; or at least that's what I'd
expect for #670945.



Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Wed, 29 Aug 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 29 Aug 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #164 received at 670945@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 670945@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [php-maint] Bug#670945: About the media types text/x-php and text/x-php-source
Date: Wed, 29 Aug 2012 09:29:41 +0900
Dear Ondřej and everybody,

I would like to keep separate the two following issues.

 1) Whether or not to give a private media type to PHP files in Debian, and
    if yes, which one.

 2) Provide a smooth upgrade to our users who use Apache's mod_negociation in a way
    that is different to what is recommended in PHP (where the FAQ suggests to associate
    the media type "text/html" to .php files).
    http://www.php.net/manual/en/faq.installation.php#faq.installation.apache.multiviews

Point 2) can be solved by adding two lines (plus explanatory comments) in 
/etc/apache2/mods-available/php5.conf (http://bugs.debian.org/670945#26).

Ondřej, I would appreciate if you solved #670945 this way.  I understand that it
puts the work burden on your shoulders and that php5 is a much heavier package
than mime-support, but I think that it is the cleanest solution.  For the moment
I have not received any message saying that a media type needs to be provided by
mime-support in order for PHP to work in other contexts.

To everybody:

we are periodically reminded that the core teams in Debian are dramatically understaffed.
Given the number of Debian systems serving content to the world using PHP, please consider
that the PHP maintainers team is one of them.  They need your help !  The time you will
give will directly help Debian to stay among the top distributions.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Wed, 29 Aug 2012 07:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 29 Aug 2012 07:33:03 GMT) Full text and rfc822 format available.

Message #169 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 670945@bugs.debian.org
Subject: Re: [php-maint] Bug#670945: Bug#670945: About the media types text/x-php and text/x-php-source
Date: Wed, 29 Aug 2012 09:23:07 +0200
>> > So honestly, I'd simply drop support for that, and add perhaps a note to
>> > NEWS.
>> I don't think it's good idea to drop something we already support and
>> users are apparently using without any problems.
>
> Well, depends,... do you agree with me that this was really any abuse of
> mod_negotiation?
> And if not why? :)
>
> Because if so, I doubt that we really help our users if we let them to
> continue.
> If they really want, we can give them a description how to do so (simply
> add some mime type for php)... but we should also tell them, that most
> likely, what they want is mod_redirect; or at least that's what I'd
> expect for #670945.

Would you care to write the instructions to re-enable the same using
the mod_rewrite?

O.
-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Wed, 29 Aug 2012 07:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 29 Aug 2012 07:33:05 GMT) Full text and rfc822 format available.

Message #174 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Charles Plessy <plessy@debian.org>, 670945@bugs.debian.org, Christoph Anton Mitterer <calestyo@scientia.net>
Cc: debian-devel@lists.debian.org
Subject: Re: [php-maint] Bug#670945: Bug#670945: About the media types text/x-php and text/x-php-source
Date: Wed, 29 Aug 2012 09:28:20 +0200
On Wed, Aug 29, 2012 at 2:29 AM, Charles Plessy <plessy@debian.org> wrote:
> Dear Ondřej and everybody,
>
> I would like to keep separate the two following issues.
>
>  1) Whether or not to give a private media type to PHP files in Debian, and
>     if yes, which one.
>
>  2) Provide a smooth upgrade to our users who use Apache's mod_negociation in a way
>     that is different to what is recommended in PHP (where the FAQ suggests to associate
>     the media type "text/html" to .php files).
>     http://www.php.net/manual/en/faq.installation.php#faq.installation.apache.multiviews
>
> Point 2) can be solved by adding two lines (plus explanatory comments) in
> /etc/apache2/mods-available/php5.conf (http://bugs.debian.org/670945#26).
>
> Ondřej, I would appreciate if you solved #670945 this way.  I understand that it
> puts the work burden on your shoulders and that php5 is a much heavier package
> than mime-support, but I think that it is the cleanest solution.  For the moment
> I have not received any message saying that a media type needs to be provided by
> mime-support in order for PHP to work in other contexts.

With much cooler head and weekend after me and after carefull
consideration of Chris's
comments I have decided to go with:

http://anonscm.debian.org/gitweb/?p=pkg-php/php.git;a=blob;f=debian/NEWS;hb=refs/heads/debian-wheezy

php5 (5.4.4-7) unstable; urgency=low

  * As a side effect of MIME-Type changes in the mime-support package, the
    default Apache 2 configuration doesn't support MultiViews negotiation,
    which was very fragile anyway.  If you want to re-enable this support
    please see /usr/share/doc/php5-common/README.Debian file for
    instructions to re-add MIME-Types in Apache 2 configuration or how to
    use mod_rewrite to accomplish the same without the fragility of Multi-
    Views.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Aug 2012 09:18:41 +0200

and

http://anonscm.debian.org/gitweb/?p=pkg-php/php.git;a=blob;f=debian/php5-common.README.Debian;hb=refs/heads/debian-wheezy

PHP 5 and Apache 2 Multiviews
----------------------------------------------------------------------

 Apache 2 mod_negotiation's MultiViews needs php scripts to have a
 MIME-Type to make the negotiation work.  We are using Apache 2 handlers
 (SetHandler directive) to enable PHP processing, so by default the
 MultiViews support is disabled in Debian packages.  You can explicitly
 add extra MIME-Types (different from magic application/x-httpd-* types)
 which will not cause any special PHP processing, but just enable
 MultiViews negotiation support.

 Add these two lines to you Apache 2 config to enable MultiViews:

   AddType application/x-php         php phtml php3
   AddType application/x-php-source  phps

 Also most likely what you really want would be better accomplished by
 mod_rewrite rules where you can explicitly specify what gets
 rewritten to what (e.g. http://localhost/file gets rewritten to
 file.php, but not to file.html or file.js).

<I would like to add text here with instructions how to enable
mod_rewrite handling.>

O.
-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Wed, 29 Aug 2012 08:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 29 Aug 2012 08:36:03 GMT) Full text and rfc822 format available.

Message #179 received at 670945@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 670945@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: [php-maint] Bug#670945: Bug#670945: About the media types text/x-php and text/x-php-source
Date: Wed, 29 Aug 2012 10:32:34 +0200
[Message part 1 (text/plain, inline)]
On Wed, 2012-08-29 at 09:28 +0200, Ondřej Surý wrote:
> With much cooler head and weekend after me and after carefull
> consideration of Chris's
> comments I have decided to go with:
Good =)

Some comments to your text :)

> php5 (5.4.4-7) unstable; urgency=low
> 
>   * As a side effect of MIME-Type changes in the mime-support package, the
>     default Apache 2 configuration doesn't support MultiViews negotiation,
That reads like as if mod_negotiation itself was disabled per default in
Apache (Stefan, if you kept on reading: I'd absolutely support this ;-)
)... is this the case, OR do we just have the effect that is does (as it
should) no longer work for the files whose php files were removed?


> PHP 5 and Apache 2 Multiviews
> ----------------------------------------------------------------------
> 
>  Apache 2 mod_negotiation's MultiViews needs php scripts to have a
>  MIME-Type to make the negotiation work.  We are using Apache 2 handlers
>  (SetHandler directive) to enable PHP processing, so by default the
>  MultiViews support is disabled in Debian packages.
Again, that reads a bit, as if negotiation was generally not
"available".
Perhaps if we write: "so by default the MultiViews support for PHP files
is disabled in Debian packages."

>   You can explicitly
>  add extra MIME-Types (different from magic application/x-httpd-* types)
>  which will not cause any special PHP processing,

[Optionally (but I don't insist), one could add something like the
following here:]
(unless another way than Debian's default way of enabling PHP is used)

[just as a warning...]
>  but just enable
>  MultiViews negotiation support.


>  Add these two lines to you Apache 2 config to enable MultiViews:
>    AddType application/x-php         php phtml php3
>    AddType application/x-php-source  phps
Correct :)
And actually... if it's really HTTP Negotiation that is desired (and not
tiding URLs from /foo.php to /foo) we MUST NOT use prevent the
file.php.foo issue, because we need to allow things like:
foo.php.en (e.g. returning English content)
foo.php.de (e.g. returning German content)


>  Also most likely what you really want would be better accomplished by
>  mod_rewrite rules where you can explicitly specify what gets
>  rewritten to what (e.g. http://localhost/file gets rewritten to
>  file.php, but not to file.html or file.js).
I, personally, would rather turn up that like this:
"If what you actually want, is to enable tidy URLs (e.g.
http://example.org/foo can be used instead of
http://example.org/foo.php) HTTP Content Negotiation is not what should
be used anyway.
That would be better accomplished by URL rewriting (via mod_rewrite)
rules where one can explicitly specify what gets rewritten as what.

> (e.g. http://localhost/file gets rewritten to
> file.php, but not to file.html or file.js).
That example contradicts IMHO a bit the intention that we suppose the
user to have:
We expect that he wants to get a file "/foo.php" be accessible via
"/foo", right?
So the user most likely doesn't have files "/foo.html" or "/foo.js" in
addition (which would then of course be negotiated, too - likely with
ambiguous results). Because auf this, a URL "/foo" should not get
"rewritten", because negotiation only happens (IIRC) when the "target"
file exists.


> <I would like to add text here with instructions how to enable
> mod_rewrite handling.>
I'll try to write you some mod_rewrite rules later; I'm just on the
train right now and I'll have to give lectures tomorrow, so not sure
when I find time.


Hope that helps,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Wed, 29 Aug 2012 09:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 29 Aug 2012 09:15:06 GMT) Full text and rfc822 format available.

Message #184 received at 670945@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 670945@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: [php-maint] Bug#670945: Bug#670945: Bug#670945: About the media types text/x-php and text/x-php-source
Date: Wed, 29 Aug 2012 11:11:31 +0200
Chris,

your text is very hard to read and parse.

Could you assemble your comments into consistent paragraphs of
suggested texts?  (E.g. the final versions of the text you suggest we
use. Or send a patch.)

O.

On Wed, Aug 29, 2012 at 10:32 AM, Christoph Anton Mitterer
<calestyo@scientia.net> wrote:
> On Wed, 2012-08-29 at 09:28 +0200, Ondřej Surý wrote:
>> With much cooler head and weekend after me and after carefull
>> consideration of Chris's
>> comments I have decided to go with:
> Good =)
>
> Some comments to your text :)
>
>> php5 (5.4.4-7) unstable; urgency=low
>>
>>   * As a side effect of MIME-Type changes in the mime-support package, the
>>     default Apache 2 configuration doesn't support MultiViews negotiation,
> That reads like as if mod_negotiation itself was disabled per default in
> Apache (Stefan, if you kept on reading: I'd absolutely support this ;-)
> )... is this the case, OR do we just have the effect that is does (as it
> should) no longer work for the files whose php files were removed?
>
>
>> PHP 5 and Apache 2 Multiviews
>> ----------------------------------------------------------------------
>>
>>  Apache 2 mod_negotiation's MultiViews needs php scripts to have a
>>  MIME-Type to make the negotiation work.  We are using Apache 2 handlers
>>  (SetHandler directive) to enable PHP processing, so by default the
>>  MultiViews support is disabled in Debian packages.
> Again, that reads a bit, as if negotiation was generally not
> "available".
> Perhaps if we write: "so by default the MultiViews support for PHP files
> is disabled in Debian packages."
>
>>   You can explicitly
>>  add extra MIME-Types (different from magic application/x-httpd-* types)
>>  which will not cause any special PHP processing,
>
> [Optionally (but I don't insist), one could add something like the
> following here:]
> (unless another way than Debian's default way of enabling PHP is used)
>
> [just as a warning...]
>>  but just enable
>>  MultiViews negotiation support.
>
>
>>  Add these two lines to you Apache 2 config to enable MultiViews:
>>    AddType application/x-php         php phtml php3
>>    AddType application/x-php-source  phps
> Correct :)
> And actually... if it's really HTTP Negotiation that is desired (and not
> tiding URLs from /foo.php to /foo) we MUST NOT use prevent the
> file.php.foo issue, because we need to allow things like:
> foo.php.en (e.g. returning English content)
> foo.php.de (e.g. returning German content)
>
>
>>  Also most likely what you really want would be better accomplished by
>>  mod_rewrite rules where you can explicitly specify what gets
>>  rewritten to what (e.g. http://localhost/file gets rewritten to
>>  file.php, but not to file.html or file.js).
> I, personally, would rather turn up that like this:
> "If what you actually want, is to enable tidy URLs (e.g.
> http://example.org/foo can be used instead of
> http://example.org/foo.php) HTTP Content Negotiation is not what should
> be used anyway.
> That would be better accomplished by URL rewriting (via mod_rewrite)
> rules where one can explicitly specify what gets rewritten as what.
>
>> (e.g. http://localhost/file gets rewritten to
>> file.php, but not to file.html or file.js).
> That example contradicts IMHO a bit the intention that we suppose the
> user to have:
> We expect that he wants to get a file "/foo.php" be accessible via
> "/foo", right?
> So the user most likely doesn't have files "/foo.html" or "/foo.js" in
> addition (which would then of course be negotiated, too - likely with
> ambiguous results). Because auf this, a URL "/foo" should not get
> "rewritten", because negotiation only happens (IIRC) when the "target"
> file exists.
>
>
>> <I would like to add text here with instructions how to enable
>> mod_rewrite handling.>
> I'll try to write you some mod_rewrite rules later; I'm just on the
> train right now and I'll have to give lectures tomorrow, so not sure
> when I find time.
>
>
> Hope that helps,
> Chris.
>
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-php-maint



-- 
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Wed, 29 Aug 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 29 Aug 2012 22:21:04 GMT) Full text and rfc822 format available.

Message #189 received at 670945@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 670945@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: [php-maint] Bug#670945: Bug#670945: Bug#670945: About the media types text/x-php and text/x-php-source
Date: Thu, 30 Aug 2012 00:16:14 +0200
[Message part 1 (text/plain, inline)]
Hey Ondřej.

On Wed, 2012-08-29 at 11:11 +0200, Ondřej Surý wrote:
> your text is very hard to read and parse.
Sorry O:-)

Below you find the texts as I would have written them.

1) Especially the README.Debian text is much more elaborate.
Why? What we try with the whole issue here is to prevent our users from
doing some really stupid things.
In order to teach them better it's IMHO important to give them examples
and motivation.

2) My motivation for some other changes was partially already described
in the hard to read/parse email ;-)
Some more:
a) I do not write about negotiation being disabled for "PHP files" but
rather for "PHP file extensions". Why?
We only disabled the negotiation with respect to MIME types not with
respect to langauge, content encoding, etc.
So things like (yes, the examples are stupid):
foo.php.en
foo.php.de
foo.php.ascii
foo.php.UTF8

would be still "negotiated" to "foo.php" (WITH the .php extension - this
is not a typo).

b) I largely overtook your explanation on the backgrounds how the
default config makes PHP files being interpreted (SetHandler and that
sections)


Open issues:
I) In:
    AddType application/x-php         php phtml php3
    AddType application/x-php-source  phps
Didn't you use other extensions as well, in the current PHP config
snippets? And shouldn't we add them here, too?


II) I've already added, mod_rewrite rules, which I'm quite sure to work
and to be safe; but I'm abroad giving some lectures at a research centre
and haven't had time yet to test really them.
Could some one do this please?
The intention is:
For any entered URL:
It should try allow to access that file without the trailing ".php" IF:
- There is not already such (non-directory) file (without .php) that
exists.
- There is not already such a directory of that name.
- If no file of such a name exists, the usual 404 should come.

The rules should work from directory and global/vhost server context.

All that would need to be verified.


III) I haven't done spell checking.



Hope that helps,
Chris.


*************
php5 (5.4.4-7) unstable; urgency=low

  * As a side effect of the MIME-Type changes in the mime-support
    package, the default Apache 2 configuration will no longer perform
    HTTP content negotiation on the PHP file extensions, which was very
    questionable anyway.
    If you really want to re-enable this support then please read
    /usr/share/doc/php5-common/README.Debian file for further
    instructions.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 29 Aug 2012 09:18:41 +0200
*************

*************
PHP 5 and Apache 2 Multiviews (HTTP Content Negotiation)
----------------------------------------------------------------------

 Apache 2’s mod_negotiation needs files to have a MIME type (amongst
 others) associated with them in order to be considered for HTTP content
 negotiation.
 
 Per default, the Debian PHP packages use Apache 2 handlers (SetHandler
 directive) to enable PHP interpretation, while no MIME type is being
 associated with the common PHP file extensions.
 
 Thus, by default, the HTTP content negotiation is disabled for PHP file
 extensions.
 
 
 Some scenarios:
 1) You intended to use HTTP content negotiation in order to tidy up
    URLs:
    For example, you wanted the file “http://example.org/foo.php” being
    accessible as “http://example.org/foo”, too.
    
    In that case you really shouldn’t abuse mod_negotiation but use
    mod_rewrite.
    An example of rewrite-rules, which allow any file ending in “.php”
    to be accessed without this extension is:
    RewriteCond "%{REQUEST_FILENAME}" !-f
    RewriteCond "%{REQUEST_FILENAME}" !-d
    RewriteRule "^(.*)$" "$1.php" [last]
    Depending on your setup you may need to set other flags, too,
    especially “passthrough” or “qsappend”.


 2) You really wanted to use HTTP content negotiation on PHP files (be
    they interpreted or not).
    An example for this might be, when you have the files
    http://example.org/foo.php
    http://example.org/foo.js
    which both do the same job, but the former is executed as PHP on
    the server-side, while the later is executed as JavaScript on the
    client-side.
    This  scenario is really very rarely used (if at all)!
    
    If you really want it, just add MIME type definitions like the
    following to your Apache 2 configuration:
    AddType application/x-php         php phtml php3
    AddType application/x-php-source  phps
 *************
[smime.p7s (application/x-pkcs7-signature, attachment)]

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Thu, 30 Aug 2012 10:51:04 GMT) Full text and rfc822 format available.

Notification sent to Tim White <timwhite88@gmail.com>:
Bug acknowledged by developer. (Thu, 30 Aug 2012 10:51:04 GMT) Full text and rfc822 format available.

Message #194 received at 670945-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 670945-close@bugs.debian.org
Subject: Bug#670945: fixed in php5 5.4.4-7
Date: Thu, 30 Aug 2012 10:47:52 +0000
Source: php5
Source-Version: 5.4.4-7

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670945@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Aug 2012 09:18:14 +0200
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-fpm libphp5-embed php5-dev php5-dbg php-pear php5-curl php5-enchant php5-gd php5-gmp php5-imap php5-interbase php5-intl php5-ldap php5-mcrypt php5-mysql php5-mysqlnd php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source amd64 all
Version: 5.4.4-7
Distribution: unstable
Urgency: low
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 libphp5-embed - HTML-embedded scripting language (Embedded SAPI library)
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (metapackage)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-enchant - Enchant module for php5
 php5-fpm   - server-side, HTML-embedded scripting language (FPM-CGI binary)
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-imap  - IMAP module for php5
 php5-interbase - interbase/firebird module for php5
 php5-intl  - internationalisation module for php5
 php5-ldap  - LDAP module for php5
 php5-mcrypt - MCrypt module for php5
 php5-mysql - MySQL module for php5
 php5-mysqlnd - MySQL module for php5 (Native Driver)
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 670945
Changes: 
 php5 (5.4.4-7) unstable; urgency=low
 .
   * Add explanatory text about MultiViews negotiation support to
     README.Debian with additions from Christoph Anton Mitterer
     (Closes: #670945)
Checksums-Sha1: 
 bd15cdca466ae9e56fef065f5b85d5c7d726ca36 3706 php5_5.4.4-7.dsc
 280453b5de8c1e6863ef45cc41fc2ef6ea233221 194242 php5_5.4.4-7.diff.gz
 f86116731e47e5ef9a324c2fb17b0dc4c0595225 585362 php5-common_5.4.4-7_amd64.deb
 af39c836d145727921a348117389b3bc60cca3eb 2663980 libapache2-mod-php5_5.4.4-7_amd64.deb
 2a4949fa7cdfa9cdabf0bf7790c4f9b87be4be01 2662668 libapache2-mod-php5filter_5.4.4-7_amd64.deb
 a738e13de428c9e5ca34d543ebd69571eedd9895 5098330 php5-cgi_5.4.4-7_amd64.deb
 1c6b533f7f1ac3e19cf671eff07b959f8ef0321d 2556518 php5-cli_5.4.4-7_amd64.deb
 db502c82f392871366ea754b31aeccf1bce73c1c 2588056 php5-fpm_5.4.4-7_amd64.deb
 0d6ce663e4054a78801c409b1c5a2707789a62d3 2661654 libphp5-embed_5.4.4-7_amd64.deb
 d9475eedf51f8d57c68be408d254bd86f600c443 497656 php5-dev_5.4.4-7_amd64.deb
 1a8ed3c4cd262ec260e4fffa665089a32e7fcadb 15923016 php5-dbg_5.4.4-7_amd64.deb
 a959989ced7285265b382ad86465a5af302a6b6e 29068 php5-curl_5.4.4-7_amd64.deb
 0bc17a073ad1a665412dda98573acddadd4c6407 9912 php5-enchant_5.4.4-7_amd64.deb
 94aba9e8c06fbee84aa84b7d98776640e508bb0e 35692 php5-gd_5.4.4-7_amd64.deb
 fd448c9e8acbbeff16730655c844dba9a0083267 17148 php5-gmp_5.4.4-7_amd64.deb
 718bb77c98029c50d2d5dc280aa1d1523e7948db 35588 php5-imap_5.4.4-7_amd64.deb
 424065689463b278f0b97508922d7f59aff555d1 49584 php5-interbase_5.4.4-7_amd64.deb
 277096b8d901b3db69755721324ee9883bed1bf3 71950 php5-intl_5.4.4-7_amd64.deb
 21b3bbcf534c778dc8960fe6ce30752ab332805f 21750 php5-ldap_5.4.4-7_amd64.deb
 0dcf571da4bc4b76a6fb90b0d6e0ded5482b0f13 16068 php5-mcrypt_5.4.4-7_amd64.deb
 b26c5114dc8c418be6636bd80baf10e76a949532 80818 php5-mysql_5.4.4-7_amd64.deb
 dfb72e0a4fe61075babdc67baaef3ca9bc55fe6a 162362 php5-mysqlnd_5.4.4-7_amd64.deb
 6dd663a46e2478f960f32af20e79df4775a22d3d 36646 php5-odbc_5.4.4-7_amd64.deb
 67fd483096a71758b9e14021733933d834ca11fc 61446 php5-pgsql_5.4.4-7_amd64.deb
 a5d6b5561d315a39afd701330d912c58deca4edf 8892 php5-pspell_5.4.4-7_amd64.deb
 c9c99b16bf744472737ad3f17d451f6d209cd8ce 5184 php5-recode_5.4.4-7_amd64.deb
 261df40377a5ba4722317cf90555c5794feb6367 21800 php5-snmp_5.4.4-7_amd64.deb
 4fc43c2f1a70b414fdd846ae4e7e312545a4d89d 30330 php5-sqlite_5.4.4-7_amd64.deb
 576e9e01b4ec9161dc1d829f8ca5f9c644ddc526 28168 php5-sybase_5.4.4-7_amd64.deb
 bfa55da034d3fc8513497b56640d09c395fa73da 19582 php5-tidy_5.4.4-7_amd64.deb
 a71eeabc6e7d5cbf4dcea6cb771f588e76cf2672 36278 php5-xmlrpc_5.4.4-7_amd64.deb
 f1fec8bb4f33790193c2a633c23a0ad49cf0ac55 15404 php5-xsl_5.4.4-7_amd64.deb
 027e4c9cfaabc07a021ceba162d27ca9b86849a0 1020 php5_5.4.4-7_all.deb
 90f9f24a809e05cdc09ab3462881b283f821ecc2 367334 php-pear_5.4.4-7_all.deb
Checksums-Sha256: 
 9a26f18f8049469c9a89a7e45645149fdd44227601f3f693f317367448e3c557 3706 php5_5.4.4-7.dsc
 9c8422b7416e9823df116823743ecac1752d7e050c719d2c4ba803a654236da0 194242 php5_5.4.4-7.diff.gz
 7bb0b7af8a221deddf6d2c90dcddbde0450d3b44d60fbcd038c8fbc839d7f8d3 585362 php5-common_5.4.4-7_amd64.deb
 b4f4fce0e57f312bbaf8f83a0bbfe4cbe35cb587a6d6aacfc8c8e3030f00bbd5 2663980 libapache2-mod-php5_5.4.4-7_amd64.deb
 b9a2e58fe904539681919e70330f3212264a975c108a638f159784db7c52f9a9 2662668 libapache2-mod-php5filter_5.4.4-7_amd64.deb
 0ad1aaa21ce373e8ec5e51ed740cacb7440a5f9b9bbb90d297ca5615cf7bb015 5098330 php5-cgi_5.4.4-7_amd64.deb
 4080d7e8af97c9cb0aab1f989139050f40a57fc493f4320b6c2c2822506687e3 2556518 php5-cli_5.4.4-7_amd64.deb
 732dc80d94d31e8175dbcba1612b443ec88fccc3c71eaad6c550e1b295597d38 2588056 php5-fpm_5.4.4-7_amd64.deb
 978356c69941235d18c4827d1b9f5b23e4d638321324af1fc75324cf2738d5e4 2661654 libphp5-embed_5.4.4-7_amd64.deb
 b857337f17480784bd12cdc606711d3b0a9d03686517792915175b48ebe5bbff 497656 php5-dev_5.4.4-7_amd64.deb
 60fb10a441a2234c1fb8e42ff00a8a498b527a6893cfdd0cb870beec3f891167 15923016 php5-dbg_5.4.4-7_amd64.deb
 a27013422f2d5fecbb78ae87d02e0e0aba82522e74ac9e4f648600f800cd66fc 29068 php5-curl_5.4.4-7_amd64.deb
 645e2348e137914d50b6a8b91b23f70448db6b0829c9803a9d4969b36791ba4a 9912 php5-enchant_5.4.4-7_amd64.deb
 25eb5ef894eebaf60627944d3d651cf07a746173cb3c4c8850ce09093dd86927 35692 php5-gd_5.4.4-7_amd64.deb
 ce159c5b0eca87a5ed53aa76c5b741fcb178821ccb8ab5cd09fda7b63bc0ea7c 17148 php5-gmp_5.4.4-7_amd64.deb
 dd490c2d6cc43253f427b39f71633262631d2c6d8c63f1b796b906054fcb073b 35588 php5-imap_5.4.4-7_amd64.deb
 17002803f15cbf373ebbce7e84b0125f8f2d1a843ccc151d91465c2edaa770cf 49584 php5-interbase_5.4.4-7_amd64.deb
 ad0d9386d14f835d11fe157a95e03a9681e9c8542ad83116c54662689206e5c7 71950 php5-intl_5.4.4-7_amd64.deb
 22eae5ae1fdbdb876e576d5103148e3259d04ebf0719b215551701081b318154 21750 php5-ldap_5.4.4-7_amd64.deb
 d97ef7cc95306e29649515015673cb33054b912c6bf247da264577b6bb89c3ba 16068 php5-mcrypt_5.4.4-7_amd64.deb
 a77f05d7671ee9d0e88568d2f2e77bd9e9e183fc86ecdb53df04cba736b9b44c 80818 php5-mysql_5.4.4-7_amd64.deb
 028f005a3395b90d1f35ef1acbbaee779d6926dd56727fbd78e5e2648aad849c 162362 php5-mysqlnd_5.4.4-7_amd64.deb
 c60680f653192c51921e7a7a98bb5844a4f7c3c8a234d00c2a75f1ebddbd72c4 36646 php5-odbc_5.4.4-7_amd64.deb
 1bd41ff40d986e6cba8ba8d63c9c72a0689d15a6026380c2452fce60daf52b3a 61446 php5-pgsql_5.4.4-7_amd64.deb
 18ec0364f55e50e2755b0d004e775d8090f859bcf57c284a080e9a3733c3cd3a 8892 php5-pspell_5.4.4-7_amd64.deb
 4d344d4eaf6952ffb1fb82a232bad3e17a422ef60b877dfe9c90044b20294ae0 5184 php5-recode_5.4.4-7_amd64.deb
 5a0c0b908a5a0dbcea97ffc3e7e89bdba6702ec1349cce088e619dd47f2eea85 21800 php5-snmp_5.4.4-7_amd64.deb
 3351e3cde5b2160fcb15f4616991d4099fc8d67058b065d256cb9d218b4d35ab 30330 php5-sqlite_5.4.4-7_amd64.deb
 024eb3e79c89129bb7d05d2889b4d3b561155ba802b84814faee27f7245cb0c7 28168 php5-sybase_5.4.4-7_amd64.deb
 0b21a4e786eeaf440066d50431f76718f69a25614992205c37f07069eb8e7077 19582 php5-tidy_5.4.4-7_amd64.deb
 8557ea621a5bd997908b5decd5c705978240ac7aa79235d6696924f0da50a46e 36278 php5-xmlrpc_5.4.4-7_amd64.deb
 152aa05b1d99d87af898113fce28c6ef991ba6fbedca8d3e3e7454ab93f857f0 15404 php5-xsl_5.4.4-7_amd64.deb
 8d047db5cf7db992dd5f323817bfbac8c2407b7f5e4aba57df9bb5f27b39f562 1020 php5_5.4.4-7_all.deb
 d5bcd100f2f2e5cf03dcac030d4dcca228149c38ae2fd53dbafafe5ac2e244b9 367334 php-pear_5.4.4-7_all.deb
Files: 
 f5120a1d5368916f521e4daa8f144660 3706 php optional php5_5.4.4-7.dsc
 494d010b6191554a716b1bda57a67003 194242 php optional php5_5.4.4-7.diff.gz
 87ebf48baf139a6ef61f08823a8a3a2a 585362 php optional php5-common_5.4.4-7_amd64.deb
 887a1d2ca9297d81aa1c763ba1294a16 2663980 httpd optional libapache2-mod-php5_5.4.4-7_amd64.deb
 92328a3121bb06bff91dbee627eb514c 2662668 httpd extra libapache2-mod-php5filter_5.4.4-7_amd64.deb
 edaacecc032cd801ebb1f614e0a8b3e5 5098330 php optional php5-cgi_5.4.4-7_amd64.deb
 8766a49e9169687bc7af773513cbdece 2556518 php optional php5-cli_5.4.4-7_amd64.deb
 90eb4cf8287b14f1dc2855ad7463ea00 2588056 php optional php5-fpm_5.4.4-7_amd64.deb
 b5e495491874edf4d5777eb48d9647e4 2661654 php optional libphp5-embed_5.4.4-7_amd64.deb
 71759a4ed0133f1e78eda86fdb53ebd4 497656 php optional php5-dev_5.4.4-7_amd64.deb
 0801981a5d5fad99e82dcccda6f887c7 15923016 debug extra php5-dbg_5.4.4-7_amd64.deb
 c9ea3075f5e033676202cd9026d9d03b 29068 php optional php5-curl_5.4.4-7_amd64.deb
 bf0f7486a192aadca51f89a34be9bacf 9912 php optional php5-enchant_5.4.4-7_amd64.deb
 7657f916b10bd7015ab943e4af293820 35692 php optional php5-gd_5.4.4-7_amd64.deb
 d3e24a1bc77984abd9f0202a13a71edf 17148 php optional php5-gmp_5.4.4-7_amd64.deb
 db359a5655793855cfbdd7e803610967 35588 php optional php5-imap_5.4.4-7_amd64.deb
 59bdf7f2dbce887a648364767ebcf234 49584 php optional php5-interbase_5.4.4-7_amd64.deb
 272f4f21f1fea3555947111a9596582f 71950 php optional php5-intl_5.4.4-7_amd64.deb
 35e1168a4d0f4c27450d272f4ee98ada 21750 php optional php5-ldap_5.4.4-7_amd64.deb
 1ef1728461fa8ff2a6a62d47d36e66eb 16068 php optional php5-mcrypt_5.4.4-7_amd64.deb
 5807e01daf434328e22df094303443e8 80818 php optional php5-mysql_5.4.4-7_amd64.deb
 6f99132ed76cc0c3771525667284fe7c 162362 php extra php5-mysqlnd_5.4.4-7_amd64.deb
 c29f4e7a704ba98c82cfee2a6605d977 36646 php optional php5-odbc_5.4.4-7_amd64.deb
 ab16100270f70e0ef6a4f7a3860facd1 61446 php optional php5-pgsql_5.4.4-7_amd64.deb
 5e6a133563a4e1bfa0058636acebddac 8892 php optional php5-pspell_5.4.4-7_amd64.deb
 48b9f425d0c747b999ac8348b0df2a44 5184 php optional php5-recode_5.4.4-7_amd64.deb
 1e2bf003b55867fe2a2092072d72f66a 21800 php optional php5-snmp_5.4.4-7_amd64.deb
 fe4bc655af0dd4fff0a89751e54005fb 30330 php optional php5-sqlite_5.4.4-7_amd64.deb
 8eb700ee06140a49bb28cf54051e7d70 28168 php optional php5-sybase_5.4.4-7_amd64.deb
 0980ec5e503aa2100692548162181a3b 19582 php optional php5-tidy_5.4.4-7_amd64.deb
 bb37adfd958c24fbf325b9f16690d336 36278 php optional php5-xmlrpc_5.4.4-7_amd64.deb
 69453e0949c62ab60816e934a2bb5183 15404 php optional php5-xsl_5.4.4-7_amd64.deb
 f488160e9704df4ec68b4a8fc4ac8b24 1020 php optional php5_5.4.4-7_all.deb
 25e4b0183ca41a62ecea5b340ece425d 367334 php optional php-pear_5.4.4-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlA/QbEACgkQ9OZqfMIN8nMvDgCfSi2IPk40f1mZsSabmZ+w91iU
fl8AmwZYg6i0jxBv8tPdJHa5OwTRDydk
=X6E3
-----END PGP SIGNATURE-----




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Thu, 30 Aug 2012 10:51:04 GMT) Full text and rfc822 format available.

Notification sent to hugo vanwoerkom <huugske@gmail.com>:
Bug acknowledged by developer. (Thu, 30 Aug 2012 10:51:04 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Thu, 30 Aug 2012 10:51:05 GMT) Full text and rfc822 format available.

Notification sent to Jacopo Girardi <jacopogg83.os@libero.it>:
Bug acknowledged by developer. (Thu, 30 Aug 2012 10:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#670945; Package php5. (Fri, 31 Aug 2012 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 31 Aug 2012 10:45:03 GMT) Full text and rfc822 format available.

Message #207 received at 670945@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 670945@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: [php-maint] Bug#670945: Bug#670945: Bug#670945: About the media types text/x-php and text/x-php-source
Date: Fri, 31 Aug 2012 12:42:43 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2012-08-30 at 00:16 +0200, Christoph Anton Mitterer wrote:
>     RewriteCond "%{REQUEST_FILENAME}" !-f
>     RewriteCond "%{REQUEST_FILENAME}" !-d
>     RewriteRule "^(.*)$" "$1.php" [last]

Tried them out in the meantime.

Seem to work as expected.


Cheers,
CHris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Oct 2012 07:26:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:14:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.